﻿using System;
using System.Collections.Generic;
using System.Web.Mvc;
using System.Linq;
namespace MvcApplication33
{
    public partial class AutocompleteController : Controller
    {
        List<groups> group = new List<groups>();
        public ActionResult AutocompleteFeatures()
        {
            group.Add(new groups { parentId = "a", text = "Group A" });
            group.Add(new groups { parentId = "b", text = "Group B" });
            group.Add(new groups { parentId = "c", text = "Group C" });
            group.Add(new groups { parentId = "d", text = "Group D" });
            group.Add(new groups { parentId = "e", text = "Group E" });
            ViewBag.datasource = group;
            return View();
        }
        public JsonResult AutocompleteFeaturesNew(string searchstring)
        {
            if (searchstring == "")
            {
                return null;
            }
            else
            {
                var Data = SearchData();
                var search = from n in Data where n.Country.ToLower().StartsWith(searchstring.ToLower()) select n;
                return Json(search, JsonRequestBehavior.AllowGet);
            }
        }

        private IEnumerable<Country1> SearchData()
        {

            List<Country1> language = new List<Country1>();
            language.Add(new Country1 { id = "1", Country = "Algeria" });
            language.Add(new Country1 { id = "2", Country = "Armenia" });
            language.Add(new Country1 { id = "3", Country = "Bangladesh" });
            language.Add(new Country1 { id = "4", Country = "Cuba" });
            language.Add(new Country1 { id = "5", Country = "Denmark", });
            language.Add(new Country1 { id = "6", Country = "Egypt" });
            language.Add(new Country1 { id = "7", Country = "Finland" });
            language.Add(new Country1 { id = "8", Country = "India" });
            language.Add(new Country1 { id = "9", Country = "Malaysia" });
            language.Add(new Country1 { id = "10", Country = "New Zealand" });
            language.Add(new Country1 { id = "11", Country = "Norway" });
            language.Add(new Country1 { id = "12", Country = "Romania" });
            language.Add(new Country1 { id = "13", Country = "Singapore" });
            language.Add(new Country1 { id = "14", Country = "Thailand" });
            language.Add(new Country1 { id = "15", Country = "Ukraine" });
            return language;

        }
    }
    public class groups
    {
        public string parentId { get; set; }
        public string text { get; set; }
        public string company { get; set; }
    }
    public class Country1
    {
        public string id { get; set; }
        public string Country { get; set; }
    }
}
